package com.jscape.util.event;

/**
 * @author Alex Usun
 */
public class PermissionException
        extends Exception {

    /** */
    public PermissionException() {
    }

    /**
     * @param message message
     */
    public PermissionException(String message) {
        super(message);
    }

    /**
     * @param cause cause
     */
    public PermissionException(Throwable cause) {
        super(cause.getMessage() != null ? cause.getMessage() : cause.toString(), cause);
    }

    /**
     * @param message message
     * @param cause   cause
     */
    public PermissionException(String message, Throwable cause) {
        super(message, cause);
    }
}
